## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl.EStoreEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.DelegatingEcoreEList<E>
                              org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<E>
                                  org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic<E>
                                      org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList<E>
                                          org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreEList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, NotifyingList<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Enclosing class:
  EStoreEObjectImpl

    public static class EStoreEObjectImpl.EStoreEList<E>

extends EStoreEObjectImpl.BasicEStoreEList<E>

A list that delegates to a store.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`DelegatingEcoreEList.Dynamic<E>, DelegatingEcoreEList.Generic<E>, DelegatingEcoreEList.UnmodifiableEList<E>, DelegatingEcoreEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>`

Field Summary
`protected InternalEObject.EStore` `store`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic
`eStructuralFeature`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic
`HAS_INSTANCE_CLASS, HAS_MANY_INVERSE, HAS_NAVIGABLE_INVERSE, HAS_PROXIES, IS_CONTAINER, IS_CONTAINMENT, IS_ENUM, IS_EOBJECT, IS_PRIMITIVE, IS_SET, IS_UNIQUE, IS_UNSETTABLE, kind`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`owner`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EStoreEObjectImpl.EStoreEList(InternalEObject owner, EStructuralFeature eStructuralFeature, InternalEObject.EStore store)`

Method Summary
`protected InternalEObject.EStore` `eStore()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList
`delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, getEStructuralFeature`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic
`canContainNull, didChange, hasInstanceClass, hasInverse, hasManyInverse, hasNavigableInverse, hasProxies, isContainer, isContainment, isEObject, isSet, isUnique, isUnsettable, kind, unset, useEquals`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getFeature, getFeatureID, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, indexOf, inverseAdd, inverseRemove, isInstance, isNotificationRequired, lastIndexOf, resolve, resolve, resolveProxy, set, toArray, toArray, validate`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl
`basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList
`add, add, addAll, addAll, containsAll, didAdd, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, set, size, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Field Detail

### store

    protected InternalEObject.EStore store

Constructor Detail

### EStoreEObjectImpl.EStoreEList

    public EStoreEObjectImpl.EStoreEList(InternalEObject owner,
                                         EStructuralFeature eStructuralFeature,
                                         InternalEObject.EStore store)

Method Detail

### eStore

    protected final InternalEObject.EStore eStore()

  Overrides:
    `eStore` in class `EStoreEObjectImpl.BasicEStoreEList<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.